API
ナレッジ項目を取得する
1 つの項目とそのテキスト。
GET/knowledge/{id}
実際の呼び出しをワークスペースに対して実行します。
GET /knowledge/{id}
1 つの項目とそのテキスト。
例
knowledge:read が必要。body はメモのテキスト。preview はファイルやページから読み取った最初の 20,000 文字で、読み取るまでは null。previewTruncated はテキストに続きがあるかどうかを示す。
curl "$OE/knowledge/kb_8c1f4a2b9d7e3f60a5c7b21d" -H "$AUTH"{ "object": "knowledge_item", "id": "kb_8c1f4a2b9d7e3f60a5c7b21d", "kind": "note", "scope": "@acme.com", "level": "domain", "title": "Refunds", "url": null, "fileName": null, "mimeType": null, "sizeBytes": null, "pinned": true, "status": "ready", "failure": null, "chunks": 1, "chars": 71, "origin": "api", "createdBy": "usr_5f2a9c71", "createdAt": "2026-10-08T09:12:44.000Z", "updatedAt": "2026-10-08T09:12:44.000Z", "indexedAt": "2026-10-08T09:12:45.000Z", "body": "Refunds are paid within 14 days of the return reaching our warehouse.", "preview": "Refunds are paid within 14 days of the return reaching our warehouse.", "previewTruncated": false}不明な ID と、キーから見えないレベルにある項目は、404 knowledge_not_found を返す。